<?php

namespace think;

use PHPUnit\Framework\TestCase;

define('BASE_ROOT_PATH',str_replace('/tests','',dirname(__FILE__)));
define('BASE_PATH',BASE_ROOT_PATH . '/tests');
define('APP_ID','tests');
define('BASE_DATA_PATH',BASE_ROOT_PATH . '/data');
require_once(BASE_ROOT_PATH . '/thinkphp/base.php');


class TestOrder extends TestCase
{
    protected $baseUrl = 'http://localhost';
    public static function setUpBeforeClass() : void
    {
        App::getInstance()->path(BASE_ROOT_PATH . '/application/')->initialize();
    }
    public function testCheckOrder()
    {
        $resp = http_request('http://host.docker.internal:8080/CheckOrder',['order_sn' => '123456'],'GET');
    }

}
